# Class TCefAppOwn

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFApp

## Declaration

`type TCefAppOwn = class(TCefBaseRefCountedOwn, ICefApp)`

## Description

Implement this interface to provide handler implementations. Methods will be called by the process and/or thread indicated.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_app_capi.h">CEF source file: /include/capi/cef_app_capi.h (cef_app_t))

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefAppOwn

## Overview

### Methods

| `procedure OnBeforeCommandLineProcessing(const processType: ustring; const commandLine: ICefCommandLine); virtual; abstract;`
| `procedure OnRegisterCustomSchemes(const registrar: TCefSchemeRegistrarRef); virtual; abstract;`
| `procedure GetResourceBundleHandler(var aHandler : ICefResourceBundleHandler); virtual; abstract;`
| `procedure GetBrowserProcessHandler(var aHandler : ICefBrowserProcessHandler); virtual; abstract;`
| `procedure GetRenderProcessHandler(var aHandler : ICefRenderProcessHandler); virtual; abstract;`
| `procedure RemoveReferences; virtual; abstract;`
| `constructor Create; virtual;`

## Description

### Methods

| `procedure OnBeforeCommandLineProcessing(const processType: ustring; const commandLine: ICefCommandLine); virtual; abstract;`
This item has no description. Showing description inherited from ICefApp.OnBeforeCommandLineProcessing. Provides an opportunity to view and/or modify command-line arguments before processing by CEF and Chromium. The |process_type| value will be NULL for the browser process. Do not keep a reference to the ICefCommandLine object passed to this function. The TCefSettings.command_line_args_disabled value can be used to start with an NULL command-line object. Any values specified in CefSettings that equate to command-line arguments will be set before this function is called. Be cautious when using this function to modify command-line arguments for non-browser processes as this may result in undefined behavior including crashes.

| `procedure OnRegisterCustomSchemes(const registrar: TCefSchemeRegistrarRef); virtual; abstract;`
This item has no description. Showing description inherited from ICefApp.OnRegisterCustomSchemes. Provides an opportunity to register custom schemes. Do not keep a reference to the |registrar| object. This function is called on the main thread for each process and the registered schemes should be the same across all processes.

| `procedure GetResourceBundleHandler(var aHandler : ICefResourceBundleHandler); virtual; abstract;`
This item has no description. Showing description inherited from ICefApp.GetResourceBundleHandler. Return the handler for resource bundle events. If no handler is returned resources will be loaded from pack files. This function is called by the browser and render processes on multiple threads.

| `procedure GetBrowserProcessHandler(var aHandler : ICefBrowserProcessHandler); virtual; abstract;`
This item has no description. Showing description inherited from ICefApp.GetBrowserProcessHandler. Return the handler for functionality specific to the browser process. This function is called on multiple threads in the browser process.

| `procedure GetRenderProcessHandler(var aHandler : ICefRenderProcessHandler); virtual; abstract;`
This item has no description. Showing description inherited from ICefApp.GetRenderProcessHandler. Return the handler for functionality specific to the render process. This function is called on the render process main thread.

| `procedure RemoveReferences; virtual; abstract;`
This item has no description. Showing description inherited from ICefApp.RemoveReferences. Custom procedure to clear all references.

| `constructor Create; virtual;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.